# Generated by Django 4.2.9 on 2024-01-11 12:52

import colorfield.fields
from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ('alsijil', '0018_add_managed_by_app_label'),
    ]

    operations = [
        migrations.AlterModelOptions(
            name='alsijilglobalpermissions',
            options={'managed': False, 'permissions': (('view_lesson', 'Can view lesson overview'), ('view_week', 'Can view week overview'), ('view_full_register', 'Can view full register'), ('register_absence', 'Can register absence'), ('list_personal_note_filters', 'Can list all personal note filters'))},
        ),
        migrations.AlterModelOptions(
            name='grouprole',
            options={'permissions': (('assign_group_role', 'Can assign group role'),), 'verbose_name': 'Group role', 'verbose_name_plural': 'Group roles'},
        ),
        migrations.AlterModelManagers(
            name='excusetype',
            managers=[
            ],
        ),
        migrations.AlterModelManagers(
            name='extramark',
            managers=[
            ],
        ),
        migrations.RemoveConstraint(
            model_name='excusetype',
            name='unique_excuse_short_name',
        ),
        migrations.RemoveConstraint(
            model_name='excusetype',
            name='unique_excuse_name',
        ),
        migrations.RemoveConstraint(
            model_name='extramark',
            name='unique_mark_short_name',
        ),
        migrations.RemoveConstraint(
            model_name='extramark',
            name='unique_mark_name',
        ),
        migrations.RemoveConstraint(
            model_name='grouprole',
            name='unique_role_per_site',
        ),
    ] + [
        migrations.RunSQL(
            f"ALTER TABLE alsijil_{model_name} drop column if exists site_id;"
        ) for model_name  in
        [
            "excusetype",
            "personalnote",
            "lessondocumentation",
            "extramark",
            "grouprole",
            "grouproleassignment",
        ]
    ] +  [
        migrations.AlterField(
            model_name='excusetype',
            name='count_as_absent',
            field=models.BooleanField(default=True, help_text="If checked, this excuse type will be counted as a missed lesson. If not checked,it won't show up in the absence report.", verbose_name='Count as absent'),
        ),
        migrations.AlterField(
            model_name='grouprole',
            name='colour',
            field=colorfield.fields.ColorField(blank=True, default='', image_field=None, max_length=25, samples=None, verbose_name='Colour'),
        ),
        migrations.AlterField(
            model_name='grouprole',
            name='name',
            field=models.CharField(max_length=255, unique=True, verbose_name='Name'),
        ),
        migrations.AlterField(
            model_name='personalnote',
            name='groups_of_person',
            field=models.ManyToManyField(related_name='+', to='core.group'),
        ),
    ]
