# Generated by Django 4.2.10 on 2024-04-18 14:48

import colorfield.fields
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('core', '0061_remove_group_additional_fields'),
        ('kolego', '0003_refactor_absence'),
        ('cursus', '0003_drop_site'),
        ('alsijil', '0019_drop_sites'),
    ]

    operations = [
        migrations.CreateModel(
            name='Documentation',
            fields=[
                ('calendarevent_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='core.calendarevent')),
                ('topic', models.CharField(blank=True, max_length=255, verbose_name='Lesson Topic')),
                ('homework', models.CharField(blank=True, max_length=255, verbose_name='Homework')),
                ('group_note', models.CharField(blank=True, max_length=255, verbose_name='Group Note')),
                ('course', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, related_name='documentations', to='cursus.course', verbose_name='Course')),
                ('subject', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, related_name='+', to='cursus.subject', verbose_name='Subject')),
                ('teachers', models.ManyToManyField(blank=True, null=True, related_name='documentations_as_teacher', to='core.person', verbose_name='Teachers')),
            ],
            options={
                'verbose_name': 'Documentation',
                'verbose_name_plural': 'Documentations',
            },
            bases=('core.calendarevent',),
        ),
        migrations.AddField(
            model_name='extramark',
            name='colour_bg',
            field=colorfield.fields.ColorField(blank=True, default='', image_field=None, max_length=25, samples=None, verbose_name='Background colour'),
        ),
        migrations.AddField(
            model_name='extramark',
            name='colour_fg',
            field=colorfield.fields.ColorField(blank=True, default='', image_field=None, max_length=25, samples=None, verbose_name='Foreground colour'),
        ),
        migrations.AddField(
            model_name='extramark',
            name='show_in_coursebook',
            field=models.BooleanField(default=True, verbose_name='Show in coursebook'),
        ),
        migrations.CreateModel(
            name='ParticipationStatus',
            fields=[
                ('calendarevent_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='core.calendarevent')),
                ('absent', models.BooleanField(verbose_name='Absent')),
                ('absence_reason', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='kolego.absencereason', verbose_name='Absence Reason')),
                ('base_absence', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='absences', to='kolego.absence', verbose_name='Base Absence')),
                ('groups_of_person', models.ManyToManyField(related_name='+', to='core.group', verbose_name='Groups of Person')),
                ('person', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='participations', to='core.person', verbose_name='Person')),
                ('related_documentation', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='participations', to='alsijil.documentation', verbose_name='Documentation')),
            ],
            options={
                'verbose_name': 'Participation Status',
                'verbose_name_plural': 'Participation Status',
                'ordering': ['related_documentation', 'person__last_name', 'person__first_name'],
            },
            bases=('core.calendarevent',),
        ),
        migrations.CreateModel(
            name='NewPersonalNote',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('managed_by_app_label', models.CharField(blank=True, editable=False, max_length=255, verbose_name='App label of app responsible for managing this instance')),
                ('extended_data', models.JSONField(default=dict, editable=False)),
                ('note', models.TextField(blank=True, verbose_name='Note')),
                ('documentation', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='personal_notes', to='alsijil.documentation', verbose_name='Documentation')),
                ('extra_mark', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, to='alsijil.extramark', verbose_name='Extra Mark')),
                ('person', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='new_personal_notes', to='core.person', verbose_name='Person')),
            ],
            options={
                'verbose_name': 'Personal Note',
                'verbose_name_plural': 'Personal Notes',
            },
        ),
        migrations.AddConstraint(
            model_name='participationstatus',
            constraint=models.UniqueConstraint(fields=('related_documentation', 'person'), name='unique_participation_status_per_documentation'),
        ),
        migrations.AddConstraint(
            model_name='newpersonalnote',
            constraint=models.CheckConstraint(check=models.Q(models.Q(('note', ''), _negated=True), ('extra_mark__isnull', False), _connector='OR'), name='unique_absence_per_documentation'),
        ),
    ]
